| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::ou_mask Class Reference
API

makes the OR operator between two or more masks More...

`#include <mask.hpp>`

Inherits libdar::et_mask.

## Public Member Functions
bool | is_covered (const std::string &expression) const
| inherited from the mask class
bool | is_covered (const path &chemin) const
| check whether the given path is covered by the mask More...
mask * | clone () const
| inherited from the mask class
Public Member Functions inherited from libdar::et_mask
| et_mask ()
| the constructor to be used by libdar external programs More...
| et_mask (const et_mask &m)
| copy constructor
const et_mask & | operator= (const et_mask &m)
| assignment operator
| ~et_mask ()
| destructor
void | add_mask (const mask &toadd)
| add a mask to the operator More...
U_I | size () const
| the number of mask on which is done the AND operator More...
void | clear ()
| clear the mask More...
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)
Protected Attributes inherited from libdar::et_mask
std::vector< mask * > | lst

## Detailed Description

makes the OR operator between two or more masks

this mask has exactly the same use as the et_mask please see the et_mask documentation. The only difference is that it makes an OR operation rather than an AND with the masks added thanks to the add_mask method

Definition at line 290 of file mask.hpp.

## Member Function Documentation

bool libdar::ou_mask::is_covered | ( | const path & | chemin | ) | const
| inline virtual

check whether the given path is covered by the mask

Parameters

  [in] | chemin | is the path to check

Returns
  true if the given path is covered by the mask

Note
  only libdar internally needs to call this method
  this is an optional method to the previous one, it can be overwritten

Reimplemented from libdar::et_mask.

Definition at line 295 of file mask.hpp.

The documentation for this class was generated from the following file:

- mask.hpp